%define libpgf_major 6
%define libpgf %mklibname pgf %{libpgf_major}
%define libpgf_devel %mklibname pgf -d

Name:           libpgf
Version:        6.12.24
Release:        %mkrel 1
Summary:        PGF (Progressive Graphics File) library
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.libpgf.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Patch1:		libpgf-6.12.24-automake-1.13.patch
BuildRequires:  doxygen
BuildRequires:  libtool

%description
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

#------------------------------------------------------------------------------

%package -n %{libpgf}
Summary:  PGF (Progressive Graphics File) library
Group:   System/Libraries
Obsoletes: libpgf < %version
Provides: libpgf = %version-%release

%description -n %{libpgf}
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the runtime library.

%files -n %{libpgf}
%{_libdir}/libpgf.so.%{libpgf_major}*

#------------------------------------------------------------------------------

%package doc
Group: Documentation
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the html documentation.

%files doc
%doc COPYING README NEWS AUTHORS
%doc %{_docdir}/%{name}
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%package -n %{libpgf_devel}  
Summary:        Headers for %{name}
Group:		Development/Libraries
Requires:       %{libpgf} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	libpgf-devel < %version
Provides:	libpgf-devel = %version-%release


%description -n %{libpgf_devel}  
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the header files needed to build packages against %{name}.


%files -n %{libpgf_devel} 
%{_includedir}/%{name}
%{_libdir}/libpgf.so
%{_libdir}/pkgconfig/libpgf.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch1 -p1 -b .automake-1_13

%build
sh autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
mv %{buildroot}/%{_docdir}/%name-%version %{buildroot}/%{_docdir}/%name
# Remove .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Nov 14 2014 bb <bb> 6.12.24-1pclos2014
- update
- convert to proper library format

* Tue Feb 05 2013 pinoc <vogtpet at gmail.com> 6.11.42-3pclos2013
- rebuild on 64

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 6.11.42-2pclos2012
- rebuild for new qt4

* Wed Feb 29 2012 Neal <nealbrks0 at gmail dot com> 6.11.42-1pclos2012
- process

* Sat Feb 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 6.11.42-1_archie_2011
- Initial build
